Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.rules
Class AbstractValidator

`java.lang.Object
oracle.jbo.rules.AbstractValidator`

Direct Known Subclasses:
  JboAbstractValidator, JboBaseValidator, JboCustomValidator, JboPrecisionScaleValidator

public abstract class AbstractValidator
extends java.lang.Object

The superclass for all pre-defined validators.

This class implements the basic functionality of storing the value of either an attribute to be validated, or the entity or application module reference on which validation is to be invoked. Subclasses must provide `validateValue`, which performs the actual validation test.

Since:
  Jdeveloper 3.0

Field Summary
`protected boolean` | `mbInverse`
`protected java.lang.String` | `mDescription`
`protected java.lang.Class` | `mErrorMessageClass`
`protected java.lang.String` | `mMsgId`
`protected java.lang.String` | `mValidatingAttrName`

Constructor Summary
`AbstractValidator()`

Method Summary
`java.lang.Object` | `convertToJava(AttributeDef attrDef, java.lang.Object val)`
`java.lang.String` | `getDescription()` Gets the textul description of this validator.
`java.lang.Class` | `getErrorMessageClass()`
`java.lang.String` | `getErrorMsgId()`
`boolean` | `getInverse()` Reports whether the logic of this validator is inverted.
`java.lang.String` | `getValidatingAttributeName()`
`void` | `setDescription(java.lang.String description)` Sets the textul description of this validator using a specified string.
`void` | `setErrorMessageClass(java.lang.Class clz)`
`void` | `setErrorMsgId(java.lang.String msgId)`
`void` | `setInverse(boolean bInverse)` Allows the logic of this validator to be inverted.
`void` | `setValidatingAttributeName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mbInverse

    protected boolean mbInverse

### mDescription

    protected java.lang.String mDescription

### mMsgId

    protected java.lang.String mMsgId

### mErrorMessageClass

    protected java.lang.Class mErrorMessageClass

### mValidatingAttrName

    protected java.lang.String mValidatingAttrName

Constructor Detail

### AbstractValidator

    public AbstractValidator()

Method Detail

### setErrorMessageClass

    public void setErrorMessageClass(java.lang.Class clz)

### getErrorMessageClass

    public java.lang.Class getErrorMessageClass()

### convertToJava

    public java.lang.Object convertToJava(AttributeDef attrDef,
                                          java.lang.Object val)

### setInverse

    public void setInverse(boolean bInverse)

  Allows the logic of this validator to be inverted.
  Parameters:
    `bInverse` - `true` if the validation result is to be inverted, and `false` if the validation result is not to be inverted.

### getInverse

    public boolean getInverse()

  Reports whether the logic of this validator is inverted.
  Returns:
    `true` if the validation result is inverted, and `false` if the validation result is not inverted.

### getDescription

    public java.lang.String getDescription()

  Gets the textul description of this validator.
  Returns:
    a documentation string.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the textul description of this validator using a specified string.
  Parameters:
    `description` - a documentation string.

### getErrorMsgId

    public java.lang.String getErrorMsgId()

### setErrorMsgId

    public void setErrorMsgId(java.lang.String msgId)

### setValidatingAttributeName

    public void setValidatingAttributeName(java.lang.String name)

### getValidatingAttributeName

    public java.lang.String getValidatingAttributeName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.